clickNum = 1
vertices = {}
segs = 0
distance = "n/a"


function love.draw()
  love.graphics.setLineStyle("rough")
  love.graphics.print( #vertices, 0,0)
  mousePosX , mousePosY = love.mouse.getPosition()
  love.graphics.print(mousePosX .. " " .. mousePosY .. " distance: " .. distance, 300, 0 )
  
  
  if #vertices > 2 then
    love.graphics.print(vertices[#vertices - 1] .. " " .. vertices[#vertices]  .. " " .. "segs:" .. segs,100, 0)
  end
  
  if #vertices >= 4 then
    love.graphics.line(vertices)
  end
    
  if love.keyboard.isDown("tab") then
      for i in ipairs(vertices) do
        distance = math.dist(mousePosX,mousePosY, vertices[i],vertices[i])
        if distance < 50 then
            vertices[i] = love.mouse.getX()
            vertices[i] = love.mouse.getY()
        end
      end
  else
    distance = "n/a"
  end
    
  
  function love.keyreleased(key)
  
  if key == "lctrl" then
      table.insert(vertices, vertices[#vertices - segs + 1])
      table.insert(vertices, vertices[#vertices - segs + 1])
      lastx = vertices[#vertices - 1]
      lasty = vertices[#vertices]
  
      table.insert(vertices, lastx)
      table.insert(vertices, lasty + 0.0001)
    
      table.insert(vertices, lastx)
      table.insert(vertices, lasty + 0.0001)
      segs = 0
        end
    end
  end
  
function love.mousereleased(x,y,button)
    if button == 1  then
      
        mX, mY = love.mouse.getPosition()
        table.insert(vertices, mX)
        table.insert(vertices, mY)
        
       
    elseif button == 1  then
        mX2, mY2 = love.mouse.getPosition()
        print(math.dist(mX,mY, mX2,mY2))
        table.insert(vertices, mX2)
        table.insert(vertices, mY2)
        
        
       end
      if button == 1 then
          segs = segs + 2
        end
  end

    function math.dist(x1,y1, x2,y2)
        return ((x2-x1)^2+(y2-y1)^2)^0.5
      end